---
# all parameters for ann CoreMedia system
#

artefact_server: "http://192.168.124.1/cm"
application_version: 1904.2

artefact_url: "{{ artefact_server }}/{{ application_version }}"
tomcat_artefact_url: "{{ artefact_url }}"
coremedia_license_url: "{{ artefact_url }}"
solr_artefact_url: "{{ artefact_url }}"

java_version: 8

local_tmp_directory: "/var/tmp/ansible_artefacts/{{ application_version }}"

# solr_version: 8.1.1

# content_import_checksum: 618122dd5c1987c8bb45969cfa0e748b6ac5d8a2.

custom_hosts:

  - ip: 192.168.124.20
    description: backend server
    names:
      - backend.cm.local
      - cms.cm.local
      - wfs.cm.local
      - studio.cm.local
      - preview.cm.local
      - solr-be.cm.local
      - feeder-preview.cm.local
      - cms.ior.cm.local
      - wfs.ior.cm.local

  - ip: 192.168.124.30
    description: frontend server
    names:
      - mls.cm.local
      - solr-fe.cm.local
      - solr-master.cm.local
      - feeder-live.cm.local
      - mls.ior.cm.local

  - ip: 192.168.124.35
    description: delivery server
    names:
      - rls.cm.local
      - solr-slave.cm.local
      - cae1.cm.local
      - cae2.cm.local
      - cae3.cm.local
      - overview.cm.local
      - corporate.cm.local
      - rls.ior.cm.local

  - ip: 192.168.124.50
    description: monitoring
    names:
      - monitoring.cm.local
      - graphite.cm.local
      - ldap.cm.local
      - icinga.cm.local

  - ip: 192.168.124.100
    description: frontend database server
    names:
      - frontend-mysql.cm.local

  - ip: 192.168.124.110
    description: backend database server
    names:
      - backend-mysql.cm.local
      - mongo.cm.local
      - mongodb.cm.local

dnsmasq_interface: lo
dnsmasq_upstream_servers:
  - 192.168.124.1
  - 141.1.1.1

resolv_nameservers:
  - 127.0.0.1
  - 141.1.1.1
resolv_domain: cm.local

snakeoil_extract_to: /etc/coremedia/snakeoil
snakeoil_domain: cm.local
snakeoil_alt_names:
  - dns:
      - "*.cm.local"
      - "*.ior.cm.local"

coremedia_applications:
  content_management_server_tools:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: cms-tools-application.zip
    artefact_checksum: 4ecd1e78cef831ae86ee5f7d2ee81681150d7137
  workflow_server_tools:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: wfs-tools-application.zip
    artefact_checksum: 35c7c5b0633aa56fa9ff754cc3f7c30cc597b369
  caefeeder-preview-tools:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: caefeeder-tools-application.zip
    artefact_checksum: 6938014f32acd6e086ba03cf001aa1bdacbc6122
  theme-importer-tools:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: theme-importer-application.zip
    artefact_checksum: ffb9c2079d4220cf022052390d9ece4c184905a4
  master_live_server_tools:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: mls-tools-application.zip
    artefact_checksum: c27376099015ac2d1f2ca10a7370b87be466c6ce
  replication_live_server_tools:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: rls-tools-application.zip
    artefact_checksum: 1ae4e9d75913149fc4cf3a080d6bbc8a58ed5f7a
  caefeeder-live-tools:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: caefeeder-tools-application.zip
    artefact_checksum: 6938014f32acd6e086ba03cf001aa1bdacbc6122

  content_management_server:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: content-management-server.war
    artefact_checksum: 1605ba19b147b1696114e1123a532bfd8a86842f
  workflow_server:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: workflow-server.war
    artefact_checksum: b7c4efb0e66e83de43a09b3a5fba297688023ce7
  caefeeder-preview:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: caefeeder-preview.war
    artefact_checksum: be257c5d905f2e7949f0b08abda29359fbdd18cf
  content-feeder:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: content-feeder.war
    artefact_checksum: 87b3ee3782ce54088d34e414569a48b595769a72
  elastic-worker:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: elastic-worker.war
    artefact_checksum: 957ad8f121c47522822b9451a206afe332fb271a
  user-changes:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: user-changes.war
    artefact_checksum: 89eee0a2f8b771052d14f988a89636b926274b1b
  studio:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: studio.war
    artefact_checksum: 9cb59b7927f9b272d1aaa11d8907dd2a9624d0ea
  cae-preview:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: cae-preview.war
    artefact_checksum: aa4ce07bb8cc69b7e1f0fef1703af197da86cd84
  master_live_server:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: master-live-server.war
    artefact_checksum: f12912baa16e999ca6bf19e345b7605a72b55a2c
  replication_live_server:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: replication-live-server.war
    artefact_checksum: cdbad2eaa39d715f3feaa63585b87c654bbe453d
  caefeeder-live:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: caefeeder-live.war
    artefact_checksum: a54f4971c0dd9cd9b98d2652efb9882b12b839f8
  cae-live:
    artefact_url: "{{ artefact_server }}/{{ application_version }}"
    artefact_name: cae-live.war
    artefact_checksum: f4c8880f7e145fd5611e908a5fa97c34e8991ffa
